Retrieve Consent Options

Lists all consent options available for a specific Tenant.

GET
/consent/options

Lists all consent options available for a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/consent/options"
{
  "Data": [
    {
      "ConsentId": "d290f1ee6c544b90e6d701748f0851",
      "Title": "SMS Consent",
      "Description": "Consent to receive SMS notifications",
      "CreatedOn": "2023-01-01T00:00:00Z",
      "IsActive": true
    }
  ]
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}